:: @echo off
:: "Client" und "Server" sind hier aus Benutzersicht verwendet:
:: Client = der Rechner, vor dem der Benutzer sitzt (und der ProxyService luft und das Terminal angeschlossen ist)
:: Server = der Rechner, auf dem das Praxisprogramm und die CT-API installiert sind

setlocal
set PrxDir=%ProgramFiles%\CCV-Deutschland\ProxyService
if not exist %PrxDir%\ProxyService.exe goto NoDefaultInst

if "%1"=="" (
	pushd %~dp0
) else (
	pushd %1
)

echo Installation auf dem Zweitrechner bzw. Server vorbereiten:
set IniOut=Install@Remote\ct_api_lan.ini
set RemoteIni=%IniOut%
set ServerIni=Install@Server\ct_api_lan.ini

echo ; automatisch angepasste Parameter fr CT-API (LAN-Version) > %IniOut%
echo. >> %IniOut%
for /f "tokens=*" %%L in (ct_api_lan.tpl) do call :Eval1 %%L
echo beendet.
echo.

set IniOut=Install@Remote\vksocket.ini
echo ; automatisch angepasste Parameter fr vksocket > %IniOut%
echo. >> %IniOut%
for /f "tokens=*" %%L in (vksocket.tpl) do call :Eval1 %%L
echo beendet.
echo.

:: Achtung: ProxyService verwendet keine normgerechte Ini-Syntax (Kommentar)!
echo ProxyService-Einstellungen anpassen
set /p ComPort=Bitte den (virtuellen) COM-Port angeben, unter dem das Terminal angesprochen wird:
set /a ComPort-=1
set IniOut=ProxyService.ini

echo. > %IniOut%
for /f "tokens=*" %%L in (ProxyService.tpl) do call :Eval1 %%L
echo. >> %IniOut%
echo ;automatisch angepasste Parameter fr CT-API via ProxyService >> %IniOut%

copy ProxyService.ini %PrxDir%
echo Ini-File kopiert, ProxyService neu starten:
net stop "Proxy Service"
net start "Proxy Service"

echo.
echo Klinikinstallation:
echo bitte die Datei %ServerIni% manuell auf dem Server 
echo in das Installationsverzeichnis des Praxisprogramms und der CT-API kopieren!
echo.
echo SharedTerminal-Istallation:
echo bitte die Datei %RemoteIni% manuell 
echo auf dem Zweitrechner oder dem Server
echo in das Installationsverzeichnis des Praxisprogramms und der CT-API kopieren!
echo.
pause
goto :eof


:Eval1
echo %*>> %IniOut%
goto :eof

:NoDefaultInst
echo Der ProxyService ist nicht im Standardverzeichnis 
echo %PrxDir%
echo installiert!
pause
goto :eof